path: /build/build/protobuf-dev-libs-21.12.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    USE="-emacs -test -zlib" emerge dev-libs/protobuf -pv -t
  - |
    USE="-emacs -test -zlib" emerge -j ${JOBS} --nodeps dev-libs/protobuf
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/protobuf && luet-portage --dir
    /pkgdir/protobuf dev-libs/protobuf
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-systemd-dev-tree:abb905c315b1b48a49a6589d827138806dc2c4f8d11524c4d12a92230300ce67
  package:
    id: 0
    name: protobuf
    version: "21.12"
    category: dev-libs
    useflags:
    - -emacs
    - -test
    - -zlib
    state: ""
    packagerequires:
    - id: 0
      name: google-perftools
      version: '>=0'
      category: dev-util
      useflags: []
      state: ""
      packagerequires: []
      packageconflicts: []
      provides: []
      hidden: false
      annotations: {}
      path: ""
      description: ""
      uri: []
      license: ""
      buildtimestamp: ""
      labels: {}
      treedir: ""
      repository: ""
    packageconflicts: []
    provides: []
    hidden: false
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    path: ""
    description: Google's Protocol Buffers - Extensible mechanism for serializing
      structured data
    uri:
    - https://developers.google.com/protocol-buffers/ https://github.com/protocolbuffers/protobuf
    license: BSD
    buildtimestamp: 2022-12-20 14:07:37.138272469 +0000 UTC m=+209.391994933
    labels:
      BDEPEND: emacs? ( app-editors/emacs:* ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
        || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4
      DEPEND: test? ( >=dev-cpp/gtest-1.9[-mgorny(-)] ) zlib? ( sys-libs/zlib[-mgorny(-)]
        )
      IUSE: emacs examples static-libs test zlib abi_x86_32 abi_x86_64 abi_x86_x32
        abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
      RDEPEND: emacs? ( app-editors/emacs:* ) zlib? ( sys-libs/zlib[-mgorny(-)] )
      emerge.packages: dev-libs/protobuf
      kit: dev-kit
      original.package.name: dev-libs/protobuf
      original.package.slot: "0"
      original.package.version: "21.12"
    treedir: /build/packages
    repository: ""
  package_dir: /pkgdir/protobuf
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-systemd-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: e823b3028d12f42a46e944df226c87095f6b0152f94c2b9010580722b543d18a
compressiontype: zstd
files:
- usr/bin/protoc
- usr/include/google/protobuf/any.h
- usr/include/google/protobuf/any.pb.h
- usr/include/google/protobuf/any.proto
- usr/include/google/protobuf/api.pb.h
- usr/include/google/protobuf/api.proto
- usr/include/google/protobuf/arena.h
- usr/include/google/protobuf/arena_impl.h
- usr/include/google/protobuf/arenastring.h
- usr/include/google/protobuf/arenaz_sampler.h
- usr/include/google/protobuf/compiler/code_generator.h
- usr/include/google/protobuf/compiler/command_line_interface.h
- usr/include/google/protobuf/compiler/cpp/cpp_generator.h
- usr/include/google/protobuf/compiler/cpp/file.h
- usr/include/google/protobuf/compiler/cpp/generator.h
- usr/include/google/protobuf/compiler/cpp/helpers.h
- usr/include/google/protobuf/compiler/cpp/names.h
- usr/include/google/protobuf/compiler/csharp/csharp_doc_comment.h
- usr/include/google/protobuf/compiler/csharp/csharp_generator.h
- usr/include/google/protobuf/compiler/csharp/csharp_names.h
- usr/include/google/protobuf/compiler/csharp/csharp_options.h
- usr/include/google/protobuf/compiler/importer.h
- usr/include/google/protobuf/compiler/java/generator.h
- usr/include/google/protobuf/compiler/java/java_generator.h
- usr/include/google/protobuf/compiler/java/kotlin_generator.h
- usr/include/google/protobuf/compiler/java/names.h
- usr/include/google/protobuf/compiler/objectivec/objectivec_generator.h
- usr/include/google/protobuf/compiler/objectivec/objectivec_helpers.h
- usr/include/google/protobuf/compiler/parser.h
- usr/include/google/protobuf/compiler/php/php_generator.h
- usr/include/google/protobuf/compiler/plugin.h
- usr/include/google/protobuf/compiler/plugin.pb.h
- usr/include/google/protobuf/compiler/plugin.proto
- usr/include/google/protobuf/compiler/python/generator.h
- usr/include/google/protobuf/compiler/python/pyi_generator.h
- usr/include/google/protobuf/compiler/python/python_generator.h
- usr/include/google/protobuf/compiler/ruby/ruby_generator.h
- usr/include/google/protobuf/descriptor.h
- usr/include/google/protobuf/descriptor.pb.h
- usr/include/google/protobuf/descriptor.proto
- usr/include/google/protobuf/descriptor_database.h
- usr/include/google/protobuf/duration.pb.h
- usr/include/google/protobuf/duration.proto
- usr/include/google/protobuf/dynamic_message.h
- usr/include/google/protobuf/empty.pb.h
- usr/include/google/protobuf/empty.proto
- usr/include/google/protobuf/endian.h
- usr/include/google/protobuf/explicitly_constructed.h
- usr/include/google/protobuf/extension_set.h
- usr/include/google/protobuf/extension_set_inl.h
- usr/include/google/protobuf/field_access_listener.h
- usr/include/google/protobuf/field_mask.pb.h
- usr/include/google/protobuf/field_mask.proto
- usr/include/google/protobuf/generated_enum_reflection.h
- usr/include/google/protobuf/generated_enum_util.h
- usr/include/google/protobuf/generated_message_bases.h
- usr/include/google/protobuf/generated_message_reflection.h
- usr/include/google/protobuf/generated_message_tctable_decl.h
- usr/include/google/protobuf/generated_message_tctable_impl.h
- usr/include/google/protobuf/generated_message_util.h
- usr/include/google/protobuf/has_bits.h
- usr/include/google/protobuf/implicit_weak_message.h
- usr/include/google/protobuf/inlined_string_field.h
- usr/include/google/protobuf/io/coded_stream.h
- usr/include/google/protobuf/io/io_win32.h
- usr/include/google/protobuf/io/printer.h
- usr/include/google/protobuf/io/strtod.h
- usr/include/google/protobuf/io/tokenizer.h
- usr/include/google/protobuf/io/zero_copy_stream.h
- usr/include/google/protobuf/io/zero_copy_stream_impl.h
- usr/include/google/protobuf/io/zero_copy_stream_impl_lite.h
- usr/include/google/protobuf/map.h
- usr/include/google/protobuf/map_entry.h
- usr/include/google/protobuf/map_entry_lite.h
- usr/include/google/protobuf/map_field.h
- usr/include/google/protobuf/map_field_inl.h
- usr/include/google/protobuf/map_field_lite.h
- usr/include/google/protobuf/map_type_handler.h
- usr/include/google/protobuf/message.h
- usr/include/google/protobuf/message_lite.h
- usr/include/google/protobuf/metadata.h
- usr/include/google/protobuf/metadata_lite.h
- usr/include/google/protobuf/parse_context.h
- usr/include/google/protobuf/port.h
- usr/include/google/protobuf/port_def.inc
- usr/include/google/protobuf/port_undef.inc
- usr/include/google/protobuf/reflection.h
- usr/include/google/protobuf/reflection_internal.h
- usr/include/google/protobuf/reflection_ops.h
- usr/include/google/protobuf/repeated_field.h
- usr/include/google/protobuf/repeated_ptr_field.h
- usr/include/google/protobuf/service.h
- usr/include/google/protobuf/source_context.pb.h
- usr/include/google/protobuf/source_context.proto
- usr/include/google/protobuf/struct.pb.h
- usr/include/google/protobuf/struct.proto
- usr/include/google/protobuf/stubs/bytestream.h
- usr/include/google/protobuf/stubs/callback.h
- usr/include/google/protobuf/stubs/casts.h
- usr/include/google/protobuf/stubs/common.h
- usr/include/google/protobuf/stubs/hash.h
- usr/include/google/protobuf/stubs/logging.h
- usr/include/google/protobuf/stubs/macros.h
- usr/include/google/protobuf/stubs/map_util.h
- usr/include/google/protobuf/stubs/mutex.h
- usr/include/google/protobuf/stubs/once.h
- usr/include/google/protobuf/stubs/platform_macros.h
- usr/include/google/protobuf/stubs/port.h
- usr/include/google/protobuf/stubs/status.h
- usr/include/google/protobuf/stubs/stl_util.h
- usr/include/google/protobuf/stubs/stringpiece.h
- usr/include/google/protobuf/stubs/strutil.h
- usr/include/google/protobuf/stubs/template_util.h
- usr/include/google/protobuf/text_format.h
- usr/include/google/protobuf/timestamp.pb.h
- usr/include/google/protobuf/timestamp.proto
- usr/include/google/protobuf/type.pb.h
- usr/include/google/protobuf/type.proto
- usr/include/google/protobuf/unknown_field_set.h
- usr/include/google/protobuf/util/delimited_message_util.h
- usr/include/google/protobuf/util/field_comparator.h
- usr/include/google/protobuf/util/field_mask_util.h
- usr/include/google/protobuf/util/json_util.h
- usr/include/google/protobuf/util/message_differencer.h
- usr/include/google/protobuf/util/time_util.h
- usr/include/google/protobuf/util/type_resolver.h
- usr/include/google/protobuf/util/type_resolver_util.h
- usr/include/google/protobuf/wire_format.h
- usr/include/google/protobuf/wire_format_lite.h
- usr/include/google/protobuf/wrappers.pb.h
- usr/include/google/protobuf/wrappers.proto
- usr/lib64/libprotobuf-lite.so
- usr/lib64/libprotobuf-lite.so.32
- usr/lib64/libprotobuf-lite.so.32.0.12
- usr/lib64/libprotobuf.so
- usr/lib64/libprotobuf.so.32
- usr/lib64/libprotobuf.so.32.0.12
- usr/lib64/libprotoc.so
- usr/lib64/libprotoc.so.32
- usr/lib64/libprotoc.so.32.0.12
- usr/lib64/pkgconfig/protobuf-lite.pc
- usr/lib64/pkgconfig/protobuf.pc
- usr/share/doc/protobuf-21.12/CHANGES.txt.bz2
- usr/share/doc/protobuf-21.12/CONTRIBUTORS.txt.bz2
- usr/share/doc/protobuf-21.12/README.md.bz2
- usr/share/vim/vimfiles/ftdetect/proto.vim
- usr/share/vim/vimfiles/syntax/proto.vim
- var/db/pkg/dev-libs/protobuf-21.12/BDEPEND
- var/db/pkg/dev-libs/protobuf-21.12/BUILD_TIME
- var/db/pkg/dev-libs/protobuf-21.12/CATEGORY
- var/db/pkg/dev-libs/protobuf-21.12/CBUILD
- var/db/pkg/dev-libs/protobuf-21.12/CFLAGS
- var/db/pkg/dev-libs/protobuf-21.12/CHOST
- var/db/pkg/dev-libs/protobuf-21.12/CONTENTS
- var/db/pkg/dev-libs/protobuf-21.12/COUNTER
- var/db/pkg/dev-libs/protobuf-21.12/CXXFLAGS
- var/db/pkg/dev-libs/protobuf-21.12/DEFINED_PHASES
- var/db/pkg/dev-libs/protobuf-21.12/DESCRIPTION
- var/db/pkg/dev-libs/protobuf-21.12/EAPI
- var/db/pkg/dev-libs/protobuf-21.12/FEATURES
- var/db/pkg/dev-libs/protobuf-21.12/HOMEPAGE
- var/db/pkg/dev-libs/protobuf-21.12/INHERITED
- var/db/pkg/dev-libs/protobuf-21.12/IUSE
- var/db/pkg/dev-libs/protobuf-21.12/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/protobuf-21.12/KEYWORDS
- var/db/pkg/dev-libs/protobuf-21.12/LDFLAGS
- var/db/pkg/dev-libs/protobuf-21.12/LICENSE
- var/db/pkg/dev-libs/protobuf-21.12/NEEDED
- var/db/pkg/dev-libs/protobuf-21.12/PF
- var/db/pkg/dev-libs/protobuf-21.12/PROVIDES
- var/db/pkg/dev-libs/protobuf-21.12/REQUIRES
- var/db/pkg/dev-libs/protobuf-21.12/RESTRICT
- var/db/pkg/dev-libs/protobuf-21.12/SIZE
- var/db/pkg/dev-libs/protobuf-21.12/SLOT
- var/db/pkg/dev-libs/protobuf-21.12/USE
- var/db/pkg/dev-libs/protobuf-21.12/environment.bz2
- var/db/pkg/dev-libs/protobuf-21.12/protobuf-21.12.ebuild
- var/db/pkg/dev-libs/protobuf-21.12/repository
package_cacheimage: ""
runtime:
  id: 0
  name: protobuf
  version: "21.12"
  category: dev-libs
  useflags:
  - -emacs
  - -test
  - -zlib
  state: ""
  packagerequires: []
  packageconflicts: []
  provides: []
  hidden: false
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  path: ""
  description: Google's Protocol Buffers - Extensible mechanism for serializing structured
    data
  uri:
  - https://developers.google.com/protocol-buffers/ https://github.com/protocolbuffers/protobuf
  license: BSD
  buildtimestamp: ""
  labels:
    BDEPEND: emacs? ( app-editors/emacs:* ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
      || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4
    DEPEND: test? ( >=dev-cpp/gtest-1.9[-mgorny(-)] ) zlib? ( sys-libs/zlib[-mgorny(-)]
      )
    IUSE: emacs examples static-libs test zlib abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32
      abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
    RDEPEND: emacs? ( app-editors/emacs:* ) zlib? ( sys-libs/zlib[-mgorny(-)] )
    emerge.packages: dev-libs/protobuf
    kit: dev-kit
    original.package.name: dev-libs/protobuf
    original.package.slot: "0"
    original.package.version: "21.12"
  treedir: ""
  repository: ""
